<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\ApontamentoVeiculoGasto;
use Schaffen\Gef\Models\ApontamentoVeiculoGastoMvf;

/**
 * Class ApontamentoVeiculoGastoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class ApontamentoVeiculoGastoTransformer extends TransformerAbstract
{
   /**
    * Transform the ApontamentoVeiculoGasto entity.
    *
    * @param \Schaffen\Gef\Models\ApontamentoVeiculoGasto $model
    *
    * @return array
    */
   public function transform(ApontamentoVeiculoGasto $model)
   {
      $responsavel = $model->responsavel;
      $veiculo = $model->veiculo;
      $faturado = 0;
      $mvf = ApontamentoVeiculoGastoMvf::where('avgm_fk_avg_codigo',$model->avg_codigo)->first();
      if(!empty($mvf)){
         $faturado = 1;
      }

      return [
         'codigo' => (int)$model->avg_codigo,
         'descricao' => $model->avg_descricao,
         'responsavel' => !is_null($responsavel) ? $responsavel->pes_nome : 'Sem proprietario',
         'veiculo' => !is_null($veiculo) ? $veiculo->vei_placa : "Sem veiculo",
         'faturado' => $faturado
         /* place your other model properties here */

      ];
   }
}
