<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\ProdutoFrota;

/**
 * Class ProdutoFrotaTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class ProdutoFrotaTransformer extends TransformerAbstract
{
    /**
     * Transform the ProdutoFrota entity.
     *
     * @param \Schaffen\Gef\Models\ProdutoFrota $model
     *
     * @return array
     */
    public function transform(ProdutoFrota $model)
    {

       $produto_produto = $model->produto;
       $variedade = $model->produto_variedade_embalagem;
       $categoria = $model->categoria;
        return [
            'codigo'         => (int) $model->prfr_codigo,
            'produto'        => $produto_produto->pro_descricao .' - '. $variedade->variedade->prv_descricao,
            'categoria'      => $categoria->cag_descricao,

            /* place your other model properties here */

        ];
    }
}
